Открыто

[MODX] Скидочные промо-коды для miniShop2

Тема в разделе "Скрипты и программы", создана пользователем Kinoom, 1 апр 2019.

Цена: 1490р.
Взнос: 1490р.

Основной список: 1 участников

Резервный список: 4 участников

  1. Kinoom

    Kinoom ЧКЧлен клуба

    msPromoCode
    Скидочные промо-коды для miniShop2

    upload_2019-4-1_9-33-41.png
    Особенности:

    • Полная AJAX обработка применения/удаления купона к заказу.
    • Промо-код можно добавить не только с основной страницы бекенда. На странице товара также есть вкладка «Промо-коды», при добавлении кода из которой текущий товар сразу привяжется к этому промо-коду. Это очень удобно, когда надо добавить купон только для одного товара.
    • Если к купону не привязано ни одного товара или раздела — купон действует на весь магазин.
    • Скидку можно указать, как для купона в целом, так и для товара или раздела, привязанного к купону. При этом, чем индивидуальнее будет указана скидка, тем она первостепеннее будет восприниматься компонентом. К примеру, у нас есть купон со скидкой 20%, есть Раздел 1, привязанный к этому купону, со скидкой 80% и есть товар лежащий в Разделе 1, привязанный к этому купону, со скидкой 40%. Для данного товара скидка будет 40%.
    • При отправке заказа, ровно как и при открытии страницы со сниппетом [[!mspcForm]], компонент проверяет, действителен ли ещё купон. Если нет, то сообщает об этом юзеру, удаляет купон из формы и обновляет цены. Это делает невозможным воспользоваться купоном:
      а) который был отключён,
      б) время действия которого завершилось,
      в) количество которого закончилось.
    • Если заказ был оформлен с промо-кодом, то в бекенде в модальном окне заказа вверху на первой вкладке появится промо-код и сумма скидки.
    • JS на странице вызова сниппета [[!mspcForm]] вызывается в конце страницы для того, чтобы ваши колбеки miniShop2, которые могут пересекаться с используемыми в пакете, были клонированы и успешно выполнены.
    Внимание, этот компонент требует версию PHP 5.4 или выше! Если ваш сайт использует PHP ниже требуемого, установка этого дополнения может его сломать.
    Внимание, этот компонент требует версию MODX не ниже 2.3 !



     
  2. Последние события

    1. Kinoom

      Kinoom не участвует в складчине.

      30 янв 2021
    2. stalkerdp

      stalkerdp участвует в складчине.

      1 окт 2020
    3. stalkerdp

      stalkerdp не участвует в складчине.

      1 окт 2020
    4. Квентин

      Квентин не участвует в складчине.

      14 сен 2020

Поделиться этой страницей